<span><strong>Create new Bucket</strong></span>
<div class="card mb-4">
    <div class="card-body">
        <form [formGroup]="bucketGroup" (ngSubmit)="onAddBucket()">
            <div class="form-row">
                <div class="form-group col">
                    <label for="name">Bucket Name*</label>
                    <input class="form-control" type="text" id="name" formControlName="name" required/>
                    <label 
                        class="error" 
                        *ngIf="formSubmitted && name.invalid">
                        Name is required*
                    </label>
                </div>
                <div class="form-group col">
                    <label for="location">Bucket Location*</label>
                    <select formControlName="location" 
                            class="form-control" 
                            (change)="onSelectedLocation($event)">
                        <option 
                            *ngFor="let itemEl of locations" 
                            value="{{ itemEl.id }}">
                            {{ itemEl.name }}
                        </option>
                    </select>
                    <label 
                        class="error" 
                        *ngIf="formSubmitted && location.invalid">
                        Location is required*
                    </label>
                </div>
            </div>     
            <button type="submit" class="btn btn-primary">Create Bucket</button>
        </form>
    </div>
</div>